com.microfocus.awm.control

## Class ElementListController

- java.lang.Object
- - com.microfocus.awm.control.ElementListController

- Deprecated.
  Use the `IElementListDirectory` instance directly ( `TaurusFactory.getElementListDirectory()`).

      @Deprecated
      public class ElementListController
      extends java.lang.Object

  Wraps an instance of the `IElementListDirectory`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementListController()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addElementListEntries(IElementList pElementList, java.util.List<IElementListEntry> pElementListEntries, boolean pRefreshList)` Deprecated. Add the given element list entry list to the given element list at the given position.
    `static void` | `addElementListEntry(IElementList pElementList, IElementListEntry pElementListEntry, boolean pRefreshList)` Deprecated. Element list entries are now being automatically added to their element list during initialization.
    `static void` | `addElementListEntry(IElementList pElementList, IElementListEntry pElementListEntry, int pIndex, boolean pRefreshList)` Deprecated. Element list entries are now being automatically added to their element list during initialization.
    `static void` | `addList(IElementList pElementList, java.lang.String pPreviousListID, boolean pNotify)` Deprecated. Add a new element list to the element list map and maintain the related internal data structures.
    `static void` | `addList(IElementList pElementList, java.lang.String pPreviousListID, java.lang.String pTableViewSecondaryId)` Deprecated. Add a new element list to the element list map and table view secondary id map and maintain the related internal data structures.
    `static void` | `clearCacheElementList()` Deprecated. Delete all element lists in the cache.
    `static java.util.Map<java.lang.String,IElementList>` | `getElementListMap()` Deprecated. Use `getElementLists()` instead. This method will create a new map each time.
    `static java.util.List<IElementList>` | `getElementLists()` Deprecated. Calls `IElementListDirectory.getElementLists()`.
    `static java.lang.String` | `getFirstListID()` Deprecated. Get the id of the first element list in the element list directory.
    `static java.lang.String` | `getLastListID()` Deprecated. Get the id of the last element list in the element list directory.
    `static IElementList` | `getList(java.lang.String pElementListID)` Deprecated. Calls `IElementListDirectory.getList(String)`.
    `static java.lang.String` | `getNextListID(java.lang.String pElementListID, boolean pVisible)` Deprecated. Get the element list id which follows the given element list id.
    `static java.lang.String` | `getPreviousListID(java.lang.String pElementListID, boolean pVisible)` Deprecated. Get the element list id which precedes the given element list id.
    `static IResource` | `getResource(java.lang.String pElementListID)` Deprecated. Get the resource to which the element list with given id is associated.
    `static void` | `notify(TaurusNotification pTaurusNotification)` Deprecated. Notify the observer (table view).
    `static void` | `removeElementListEntries(IElementList pElementList, java.util.List<IElementListEntry> pElementListEntries, boolean pRefreshList)` Deprecated. Remove the given element list entry list from the given element list.
    `static void` | `removeElementListEntry(IElementList pElementList, IElementListEntry pElementListEntry, boolean pRefreshList)` Deprecated. Remove the given element list entry from the given element list.
    `static void` | `removeList(IElementList pElementList)` Deprecated. Removes the given element list from the element list directory and table view directory.
    `static void` | `removeLists(IResource pResource)` Deprecated. Remove all element lists belonging to a resource.
    `static IElementList` | `restoreList(ActionDescriptor pAct, IResource pRes)` Deprecated. Call `IElementListDirectory.restoreList(ActionDescriptor, IResource)`.
    `static void` | `setListID(java.lang.String pElementListID)` Deprecated. Set the active element list.
    `static void` | `showList(IElementList pElementList)` Deprecated. Show the given element list in the main table view.
    `static void` | `showList(IElementList pElementList, java.lang.String pTableViewSecondaryId)` Deprecated. Show the given element list in the table view with given secondary id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementListController

          public ElementListController()

      Deprecated.

  - ### Method Detail

    - #### addList

          public static void addList(IElementList pElementList,
                                     java.lang.String pPreviousListID,
                                     boolean pNotify)
                              throws TaurusCoreException

      Deprecated.
      Add a new element list to the element list map and maintain the related internal data structures.
      Parameters:
        `pElementList` - element list to be added to the TAURUS element list directory
        `pPreviousListID` - element list which precedes this element list in the element list directory; maybe null, in this case the element list is added to the end of the element list directory
        `pNotify` - flag which determines whether the observers of the element list directory are notified
      Throws:
        `TaurusCoreException` - if the save of the element list fails

    - #### addList

          public static void addList(IElementList pElementList,
                                     java.lang.String pPreviousListID,
                                     java.lang.String pTableViewSecondaryId)
                              throws TaurusCoreException

      Deprecated.
      Add a new element list to the element list map and table view secondary id map and maintain the related internal data structures.
      Parameters:
        `pElementList` - element list to be added to the TAURUS element list directory and table view directory
        `pPreviousListID` - element list which precedes this element list in the element list directory; maybe null, in this case the element list is added to the end of the element list directory
        `pTableViewSecondaryId` - secondary id of the table view in which the element list will be mapped, if `null`, the element list will be added to the main table view
      Throws:
        `TaurusCoreException` - if the save of the element list fails

    - #### removeList

          public static void removeList(IElementList pElementList)

      Deprecated.
      Removes the given element list from the element list directory and table view directory.
      Parameters:
        `pElementList` - element list to be removed

    - #### removeLists

          public static void removeLists(IResource pResource)

      Deprecated.
      Remove all element lists belonging to a resource.
      Parameters:
        `pResource` - the resource which element lists will be moved

    - #### setListID

          public static void setListID(java.lang.String pElementListID)

      Deprecated.
      Set the active element list.
      Parameters:
        `pElementListID` - the element list to be set as active list

    - #### getPreviousListID

          public static java.lang.String getPreviousListID(java.lang.String pElementListID,
                                                           boolean pVisible)

      Deprecated.
      Get the element list id which precedes the given element list id.
      Parameters:
        `pElementListID` - element list id
        `pVisible` - if `true` only element lists which have the attribute "showInTable" set to `true` will be returned.
      Returns:
        element list id which precedes the given element list id; `null`, if the element list id is the first id in the element list directory
      See Also:
        `IElementList.isVisible()`

    - #### getNextListID

          public static java.lang.String getNextListID(java.lang.String pElementListID,
                                                       boolean pVisible)

      Deprecated.
      Get the element list id which follows the given element list id.
      Parameters:
        `pElementListID` - element list id
        `pVisible` - if `true` only element lists which have the attribute "showInTable" set to `true` will be returned.
      Returns:
        element list id which follows the given element list id; `null`, if the element list id is the last id in the element list directory
      See Also:
        `IElementList.isVisible()`

    - #### getElementListMap

          @Deprecated
          public static java.util.Map<java.lang.String,IElementList> getElementListMap()

      Deprecated. Use `getElementLists()` instead. This method will create a new map each time.
      Returns:
        Map containing all element lists as values and their IDs as keys

    - #### getElementLists

          public static java.util.List<IElementList> getElementLists()

      Deprecated.
      Calls `IElementListDirectory.getElementLists()`.
      Returns:
        a list of all element lists, which can be empty.

    - #### getList

          public static IElementList getList(java.lang.String pElementListID)

      Deprecated.
      Calls `IElementListDirectory.getList(String)`.
      Parameters:
        `pElementListID` - the element list ID
      Returns:
        the element list or `null`

    - #### getResource

          public static IResource getResource(java.lang.String pElementListID)

      Deprecated.
      Get the resource to which the element list with given id is associated.
      Parameters:
        `pElementListID` - the element list's id
      Returns:
        TAURUS resource to which the element list with given id is associated

    - #### getFirstListID

          public static java.lang.String getFirstListID()

      Deprecated.
      Get the id of the first element list in the element list directory.
      Returns:
        id of the first element list in the element list directory

    - #### getLastListID

          public static java.lang.String getLastListID()

      Deprecated.
      Get the id of the last element list in the element list directory.
      Returns:
        id of the last element list in the element list directory

    - #### addElementListEntry

          @Deprecated
          public static void addElementListEntry(IElementList pElementList,
                                                              IElementListEntry pElementListEntry,
                                                              boolean pRefreshList)

      Deprecated. Element list entries are now being automatically added to their element list during initialization.
      Add the given element list entry to the given element list.
      Parameters:
        `pElementList` - element list
        `pElementListEntry` - element list entry
        `pRefreshList` - `true`, if the observers of the element list directory should be notified for a refresh; otherwise `false`

    - #### addElementListEntry

          @Deprecated
          public static void addElementListEntry(IElementList pElementList,
                                                              IElementListEntry pElementListEntry,
                                                              int pIndex,
                                                              boolean pRefreshList)

      Deprecated. Element list entries are now being automatically added to their element list during initialization.
      Add the given element list entry to the given element list at the given position.
      Parameters:
        `pElementList` - element list
        `pElementListEntry` - element list entry
        `pIndex` - position in the element list at which the element list entry should be added
        `pRefreshList` - `true`, if the observers of the element list directory should be notified for a refresh; otherwise `false`

    - #### removeElementListEntry

          public static void removeElementListEntry(IElementList pElementList,
                                                    IElementListEntry pElementListEntry,
                                                    boolean pRefreshList)
                                             throws TaurusCoreException

      Deprecated.
      Remove the given element list entry from the given element list.
      Parameters:
        `pElementList` - element list
        `pElementListEntry` - element list entry
        `pRefreshList` - `true`, if the observers of the element list directory should be notified for a refresh; otherwise `false`
      Throws:
        `TaurusCoreException` - if the remove fails

    - #### addElementListEntries

          public static void addElementListEntries(IElementList pElementList,
                                                   java.util.List<IElementListEntry> pElementListEntries,
                                                   boolean pRefreshList)

      Deprecated.
      Add the given element list entry list to the given element list at the given position.
      Parameters:
        `pElementList` - element list
        `pElementListEntries` - list of element list entries
        `pRefreshList` - `true`, if the observers of the element list directory should be notified for a refresh; otherwise `false`

    - #### removeElementListEntries

          public static void removeElementListEntries(IElementList pElementList,
                                                      java.util.List<IElementListEntry> pElementListEntries,
                                                      boolean pRefreshList)

      Deprecated.
      Remove the given element list entry list from the given element list.
      Parameters:
        `pElementList` - element list
        `pElementListEntries` - list of element list entries
        `pRefreshList` - `true`, if the observers of the element list directory should be notified for a refresh; otherwise `false`

    - #### showList

          public static void showList(IElementList pElementList)

      Deprecated.
      Show the given element list in the main table view.
      Parameters:
        `pElementList` - the element list to show

    - #### showList

          public static void showList(IElementList pElementList,
                                      java.lang.String pTableViewSecondaryId)

      Deprecated.
      Show the given element list in the table view with given secondary id.
      Parameters:
        `pElementList` - the element list to show
        `pTableViewSecondaryId` - the secondary id of the table view in which the list will be show. if `null` the list will be shown in the main table view

    - #### restoreList

          public static IElementList restoreList(ActionDescriptor pAct,
                                                 IResource pRes)

      Deprecated.
      Call `IElementListDirectory.restoreList(ActionDescriptor, IResource)`.
      Parameters:
        `pAct` - the `ActionDescriptor` which creates the Element List
        `pRes` - the parent `IResource` of the Element List
      Returns:
        the cached element list or `null` if the element list didn't exist in the cache

    - #### notify

          public static void notify(TaurusNotification pTaurusNotification)

      Deprecated.
      Notify the observer (table view).
      Parameters:
        `pTaurusNotification` - the notification

    - #### clearCacheElementList

          public static void clearCacheElementList()
                                            throws TaurusCoreException

      Deprecated.
      Delete all element lists in the cache.
      Throws:
        `TaurusCoreException` - if deleting the element list cache fails

Copyright © 2015 Micro Focus GmbH. All rights reserved.